Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core
Interface PriorityOrdered

All Superinterfaces:
  Ordered

All Known Implementing Classes:
  AutowiredAnnotationBeanPostProcessor, CommonAnnotationBeanPostProcessor, InitDestroyAnnotationBeanPostProcessor, PersistenceAnnotationBeanPostProcessor, PreferencesPlaceholderConfigurer, PropertyOverrideConfigurer, PropertyPlaceholderConfigurer, PropertyResourceConfigurer, RequiredAnnotationBeanPostProcessor, ServletContextPropertyPlaceholderConfigurer

    public interface PriorityOrdered

extends Ordered

Extension of the `Ordered` interface, expressing a 'priority' ordering: Order values expressed by PriorityOrdered objects always apply before order values of 'plain' Ordered values.

This is primarily a special-purpose interface, used for objects where it is particularly important to determine 'prioritized' objects first, without even obtaining the remaining objects. A typical example: Prioritized post-processors in a Spring `ApplicationContext`.

Note: PriorityOrdered post-processor beans are initialized in a special phase, ahead of other post-postprocessor beans. This subtly affects their autowiring behavior: They will only be autowired against beans which do not require eager initialization for type matching.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `PropertyOverrideConfigurer`, `PropertyPlaceholderConfigurer`

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Method Summary

Methods inherited from interface org.springframework.core.Ordered
`getOrder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.